searchNodes=[{"ref":"OperationError.html","title":"OperationError","type":"exception","doc":"Defines an exception that handles not described WSDL operations."},{"ref":"Soap.html","title":"Soap","type":"module","doc":"The SOAP client for Elixir based on httpc (for send requests) and SweetXml (for xml parsing). Soap contains 5 main modules: Soap.Wsdl - Build wsdl components data map. Can parse raw wsdl file from external url or local path. Wsdl which is prepared this module are using for send requests. Soap.Request - Provides functionality for build and calling requests. Contains Request.Headers and Soap.Params submodules for build headers and build body with parameters validation respectively. This module is a wrapper over httpc. It send requests and handle them. Soap.Response - Handle soap response and handle them. It provides functionality for parsing xml-like body and transform it to comfortable structure. Structure for this module returns with necessary data after send a request. Soap.Xsd - This module have same functionality as Soap.Wsdl module, but only for Xsd-files. It allows to parse xsd files from external resources or local path and convert it to map. Soap.Type - Provides a functionality for find and parse complex types from raw xsd file. It uses in library for validation parameters when we build request body. The Soap module can be used to parse WSDL files: iex&gt; Soap.init_model(&quot;https://git.io/vNCWd&quot;, :url) {:ok, %{ complex_types: [...], endpoint: &quot;...&quot;, messages: [...], namespaces: %{...}, operations: [...], schema_attributes: %{...}, soap_version: &quot;x.x&quot;, validation_types: %{...} } } And send requests: iex&gt; Soap.call(wsdl, action, params) {:ok, %Soap.Response{}} It&#39;s very common to use Soap in order to wrap APIs. See call/5 for more details on how to issue requests to soap services"},{"ref":"Soap.html#call/5","title":"Soap.call/5","type":"function","doc":"Send a request to the SOAP server based on the passed WSDL file, action and parameters. Returns {:ok, %Soap.Response{}} if the request is successful, {:error, reason} otherwise. Parameters wsdl: Wsdl model from Soap.init_model/2 function. action: Soap action to be called. Use Soap.operations/1 to get a list of available actions params: Parameters to build the body of a SOAP request. headers: Custom request headers. opts: httpc options. Examples iex&gt; Soap.call(wsdl, action, params) {:ok, %Soap.Response{}}"},{"ref":"Soap.html#init_model/2","title":"Soap.init_model/2","type":"function","doc":"Initialization of a WSDL model. Response a map of parsed data from file. Returns {:ok, wsdl}. Parameters path: Path for wsdl file. type: Atom that represents the type of path for WSDL file. Can be :file or url. Default: :file. Examples iex&gt; {:ok, wsdl} = Soap.init_model(&quot;https://git.io/vNCWd&quot;, :url) {:ok, %{...}}"},{"ref":"Soap.html#operations/1","title":"Soap.operations/1","type":"function","doc":"Returns a list of available actions of the passed WSDL. Parameters wsdl: Wsdl model from Soap.init_model/2 function. Examples iex&gt; {:ok, wsdl} = Soap.init_model(&quot;https://git.io/vNCWd&quot;, :url) iex&gt; Soap.operations(wsdl) [&quot;SendMessage&quot;, &quot;SendMessageMultipleRecipients&quot;]"},{"ref":"Soap.Request.html","title":"Soap.Request","type":"module","doc":"Documentation for Soap.Request."},{"ref":"Soap.Request.html#b2l/1","title":"Soap.Request.b2l/1","type":"function","doc":""},{"ref":"Soap.Request.html#call/5","title":"Soap.Request.call/5","type":"function","doc":"Executing with parsed wsdl and headers with body map. Calling httpc.request by Map with method, url, body, headers, options keys."},{"ref":"Soap.Request.html#get_url/1","title":"Soap.Request.get_url/1","type":"function","doc":""},{"ref":"Soap.Request.Headers.html","title":"Soap.Request.Headers","type":"module","doc":"Headers generator by soap action and custom headers. Examples iex&gt; {:ok, wsdl} = Fixtures.get_file_path(&quot;wsdl/SendService.wsdl&quot;) |&gt; Soap.init_model(:file) ...&gt; Soap.Request.Headers.build(wsdl, &quot;SendMessage&quot;, []) [{&quot;SOAPAction&quot;, &quot;com.esendex.ems.soapinterface/SendMessage&quot;}, {&quot;Content-Type&quot;, &quot;text/xml;charset=utf-8&quot;}]"},{"ref":"Soap.Request.Headers.html#base_headers/1","title":"Soap.Request.Headers.base_headers/1","type":"function","doc":""},{"ref":"Soap.Request.Headers.html#build/3","title":"Soap.Request.Headers.build/3","type":"function","doc":""},{"ref":"Soap.Request.Headers.html#extract_headers/2","title":"Soap.Request.Headers.extract_headers/2","type":"function","doc":""},{"ref":"Soap.Request.Headers.html#extract_soap_action_by_operation/2","title":"Soap.Request.Headers.extract_soap_action_by_operation/2","type":"function","doc":""},{"ref":"Soap.Request.Params.html","title":"Soap.Request.Params","type":"module","doc":"Documentation for Soap.Request.Options."},{"ref":"Soap.Request.Params.html#add_action_tag_wrapper/3","title":"Soap.Request.Params.add_action_tag_wrapper/3","type":"function","doc":""},{"ref":"Soap.Request.Params.html#add_body_tag_wrapper/1","title":"Soap.Request.Params.add_body_tag_wrapper/1","type":"function","doc":""},{"ref":"Soap.Request.Params.html#add_envelope_tag_wrapper/3","title":"Soap.Request.Params.add_envelope_tag_wrapper/3","type":"function","doc":""},{"ref":"Soap.Request.Params.html#add_header_part_tag_wrapper/3","title":"Soap.Request.Params.add_header_part_tag_wrapper/3","type":"function","doc":""},{"ref":"Soap.Request.Params.html#add_header_tag_wrapper/1","title":"Soap.Request.Params.add_header_tag_wrapper/1","type":"function","doc":""},{"ref":"Soap.Request.Params.html#build_action_attribute/2","title":"Soap.Request.Params.build_action_attribute/2","type":"function","doc":""},{"ref":"Soap.Request.Params.html#build_body/4","title":"Soap.Request.Params.build_body/4","type":"function","doc":"Parsing parameters map and generate body xml by given soap action name and body params(Map). Returns xml-like string."},{"ref":"Soap.Request.Params.html#build_soap_body/3","title":"Soap.Request.Params.build_soap_body/3","type":"function","doc":""},{"ref":"Soap.Request.Params.html#build_soap_header/3","title":"Soap.Request.Params.build_soap_header/3","type":"function","doc":""},{"ref":"Soap.Request.Params.html#build_soap_version_attribute/1","title":"Soap.Request.Params.build_soap_version_attribute/1","type":"function","doc":""},{"ref":"Soap.Request.Params.html#construct_xml_request_body/1","title":"Soap.Request.Params.construct_xml_request_body/1","type":"function","doc":""},{"ref":"Soap.Request.Params.html#construct_xml_request_header/1","title":"Soap.Request.Params.construct_xml_request_header/1","type":"function","doc":""},{"ref":"Soap.Request.Params.html#custom_namespaces/0","title":"Soap.Request.Params.custom_namespaces/0","type":"function","doc":""},{"ref":"Soap.Request.Params.html#env_namespace/0","title":"Soap.Request.Params.env_namespace/0","type":"function","doc":""},{"ref":"Soap.Request.Params.html#format_error_message/2","title":"Soap.Request.Params.format_error_message/2","type":"function","doc":""},{"ref":"Soap.Request.Params.html#get_action_namespace/2","title":"Soap.Request.Params.get_action_namespace/2","type":"function","doc":""},{"ref":"Soap.Request.Params.html#get_action_with_namespace/2","title":"Soap.Request.Params.get_action_with_namespace/2","type":"function","doc":""},{"ref":"Soap.Request.Params.html#get_header_with_namespace/2","title":"Soap.Request.Params.get_header_with_namespace/2","type":"function","doc":""},{"ref":"Soap.Request.Params.html#get_message_part/3","title":"Soap.Request.Params.get_message_part/3","type":"function","doc":""},{"ref":"Soap.Request.Params.html#handle_action_extractor_result/3","title":"Soap.Request.Params.handle_action_extractor_result/3","type":"function","doc":""},{"ref":"Soap.Request.Params.html#handle_element_form_default/1","title":"Soap.Request.Params.handle_element_form_default/1","type":"function","doc":""},{"ref":"Soap.Request.Params.html#insert_tag_parameters/1","title":"Soap.Request.Params.insert_tag_parameters/1","type":"function","doc":""},{"ref":"Soap.Request.Params.html#prepare_action_attribute/2","title":"Soap.Request.Params.prepare_action_attribute/2","type":"function","doc":""},{"ref":"Soap.Request.Params.html#prepare_action_tag/2","title":"Soap.Request.Params.prepare_action_tag/2","type":"function","doc":""},{"ref":"Soap.Request.Params.html#soap_version/1","title":"Soap.Request.Params.soap_version/1","type":"function","doc":""},{"ref":"Soap.Request.Params.html#type_error_message/2","title":"Soap.Request.Params.type_error_message/2","type":"function","doc":""},{"ref":"Soap.Request.Params.html#validate_param/3","title":"Soap.Request.Params.validate_param/3","type":"function","doc":""},{"ref":"Soap.Request.Params.html#validate_param_attributes/3","title":"Soap.Request.Params.validate_param_attributes/3","type":"function","doc":""},{"ref":"Soap.Request.Params.html#validate_params/3","title":"Soap.Request.Params.validate_params/3","type":"function","doc":""},{"ref":"Soap.Request.Params.html#validate_type/3","title":"Soap.Request.Params.validate_type/3","type":"function","doc":""},{"ref":"Soap.Response.html","title":"Soap.Response","type":"module","doc":"Struct for response given by soap call."},{"ref":"Soap.Response.html#parse/1","title":"Soap.Response.parse/1","type":"function","doc":"Executing with xml response body as string. Function parse/1 returns a full parsed response structure as map."},{"ref":"Soap.Response.html#parse/2","title":"Soap.Response.parse/2","type":"function","doc":""},{"ref":"Soap.Response.html#t:t/0","title":"Soap.Response.t/0","type":"type","doc":""},{"ref":"Soap.Response.Parser.html","title":"Soap.Response.Parser","type":"module","doc":"Provides a functions for parse an xml-like response body."},{"ref":"Soap.Response.Parser.html#apply_namespace_to_tag/2","title":"Soap.Response.Parser.apply_namespace_to_tag/2","type":"function","doc":""},{"ref":"Soap.Response.Parser.html#extract_value_from_list/1","title":"Soap.Response.Parser.extract_value_from_list/1","type":"function","doc":""},{"ref":"Soap.Response.Parser.html#get_body_tag/1","title":"Soap.Response.Parser.get_body_tag/1","type":"function","doc":""},{"ref":"Soap.Response.Parser.html#get_envelope_namespace/1","title":"Soap.Response.Parser.get_envelope_namespace/1","type":"function","doc":""},{"ref":"Soap.Response.Parser.html#get_fault_tag/1","title":"Soap.Response.Parser.get_fault_tag/1","type":"function","doc":""},{"ref":"Soap.Response.Parser.html#parse/2","title":"Soap.Response.Parser.parse/2","type":"function","doc":"Executing with xml response body. If a list is empty then parse/1 returns full parsed response structure into map."},{"ref":"Soap.Response.Parser.html#parse_element_values/1","title":"Soap.Response.Parser.parse_element_values/1","type":"function","doc":""},{"ref":"Soap.Response.Parser.html#parse_elements/1","title":"Soap.Response.Parser.parse_elements/1","type":"function","doc":""},{"ref":"Soap.Response.Parser.html#parse_record/1","title":"Soap.Response.Parser.parse_record/1","type":"function","doc":""},{"ref":"Soap.Response.Parser.html#soap_version/0","title":"Soap.Response.Parser.soap_version/0","type":"function","doc":""},{"ref":"Soap.Response.Parser.html#transform_record_value/1","title":"Soap.Response.Parser.transform_record_value/1","type":"function","doc":""},{"ref":"Soap.Response.Parser.html#unique_tags?/1","title":"Soap.Response.Parser.unique_tags?/1","type":"function","doc":""},{"ref":"Soap.Type.html","title":"Soap.Type","type":"module","doc":"Provides functions for parsing types to struct"},{"ref":"Soap.Type.html#get_complex_types/2","title":"Soap.Type.get_complex_types/2","type":"function","doc":""},{"ref":"Soap.Type.html#parse_type_attributes/2","title":"Soap.Type.parse_type_attributes/2","type":"function","doc":""},{"ref":"Soap.Type.html#parse_types/2","title":"Soap.Type.parse_types/2","type":"function","doc":""},{"ref":"Soap.Wsdl.html","title":"Soap.Wsdl","type":"module","doc":"Provides functions for parsing wsdl file"},{"ref":"Soap.Wsdl.html#get_complex_types/3","title":"Soap.Wsdl.get_complex_types/3","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_endpoint/3","title":"Soap.Wsdl.get_endpoint/3","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_full_paths/4","title":"Soap.Wsdl.get_full_paths/4","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_imported_types/1","title":"Soap.Wsdl.get_imported_types/1","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_message_parts/2","title":"Soap.Wsdl.get_message_parts/2","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_messages/2","title":"Soap.Wsdl.get_messages/2","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_namespace/4","title":"Soap.Wsdl.get_namespace/4","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_namespaces/3","title":"Soap.Wsdl.get_namespaces/3","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_operation_input/3","title":"Soap.Wsdl.get_operation_input/3","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_operations/3","title":"Soap.Wsdl.get_operations/3","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_protocol_namespace/1","title":"Soap.Wsdl.get_protocol_namespace/1","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_schema_attributes/1","title":"Soap.Wsdl.get_schema_attributes/1","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_schema_imports/3","title":"Soap.Wsdl.get_schema_imports/3","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_schema_namespace/1","title":"Soap.Wsdl.get_schema_namespace/1","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_soap_namespace/2","title":"Soap.Wsdl.get_soap_namespace/2","type":"function","doc":""},{"ref":"Soap.Wsdl.html#get_validation_types/4","title":"Soap.Wsdl.get_validation_types/4","type":"function","doc":""},{"ref":"Soap.Wsdl.html#imports/0","title":"Soap.Wsdl.imports/0","type":"function","doc":""},{"ref":"Soap.Wsdl.html#ns/2","title":"Soap.Wsdl.ns/2","type":"function","doc":""},{"ref":"Soap.Wsdl.html#parse/3","title":"Soap.Wsdl.parse/3","type":"function","doc":""},{"ref":"Soap.Wsdl.html#parse_from_file/2","title":"Soap.Wsdl.parse_from_file/2","type":"function","doc":""},{"ref":"Soap.Wsdl.html#parse_from_url/2","title":"Soap.Wsdl.parse_from_url/2","type":"function","doc":""},{"ref":"Soap.Wsdl.html#soap_version/0","title":"Soap.Wsdl.soap_version/0","type":"function","doc":""},{"ref":"Soap.Wsdl.html#soap_version/1","title":"Soap.Wsdl.soap_version/1","type":"function","doc":""},{"ref":"Soap.Xsd.html","title":"Soap.Xsd","type":"module","doc":"Provides functions for parsing xsd file"},{"ref":"Soap.Xsd.html#get_simple_types/1","title":"Soap.Xsd.get_simple_types/1","type":"function","doc":""},{"ref":"Soap.Xsd.html#parse/1","title":"Soap.Xsd.parse/1","type":"function","doc":""},{"ref":"Soap.Xsd.html#parse_from_file/1","title":"Soap.Xsd.parse_from_file/1","type":"function","doc":""},{"ref":"Soap.Xsd.html#parse_from_url/1","title":"Soap.Xsd.parse_from_url/1","type":"function","doc":""},{"ref":"Soap.Xsd.html#parse_xsd/1","title":"Soap.Xsd.parse_xsd/1","type":"function","doc":""}]